
From: Pavel Machek <pavel@ucw.cz>

This should bits from -mm tree that are affected by pm_message_t
conversion.  [I'm not 100% sure I got all of them, but I certainly got all
the errors on make allyesconfig build, and most of warnings, too.  I'll go
through the buildlog tommorow and fix any remaining bits].


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/wireless/hostap/hostap_pci.c |    4 ++--
 drivers/net/wireless/ipw2200.c           |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/net/wireless/hostap/hostap_pci.c~fix-pm_message_t-stuff-in-mm-tree-netdev drivers/net/wireless/hostap/hostap_pci.c
--- 25/drivers/net/wireless/hostap/hostap_pci.c~fix-pm_message_t-stuff-in-mm-tree-netdev	Wed Jul 13 17:59:57 2005
+++ 25-akpm/drivers/net/wireless/hostap/hostap_pci.c	Wed Jul 13 17:59:57 2005
@@ -385,7 +385,7 @@ static void prism2_pci_remove(struct pci
 
 
 #ifdef CONFIG_PM
-static int prism2_pci_suspend(struct pci_dev *pdev, u32 state)
+static int prism2_pci_suspend(struct pci_dev *pdev, pm_message_t state)
 {
 	struct net_device *dev = pci_get_drvdata(pdev);
 
@@ -396,7 +396,7 @@ static int prism2_pci_suspend(struct pci
 	prism2_suspend(dev);
 	pci_save_state(pdev);
 	pci_disable_device(pdev);
-	pci_set_power_state(pdev, 3);
+	pci_set_power_state(pdev, PCI_D3hot);
 
 	return 0;
 }
diff -puN drivers/net/wireless/ipw2200.c~fix-pm_message_t-stuff-in-mm-tree-netdev drivers/net/wireless/ipw2200.c
--- 25/drivers/net/wireless/ipw2200.c~fix-pm_message_t-stuff-in-mm-tree-netdev	Wed Jul 13 17:59:57 2005
+++ 25-akpm/drivers/net/wireless/ipw2200.c	Wed Jul 13 17:59:57 2005
@@ -7229,7 +7229,7 @@ static void ipw_pci_remove(struct pci_de
 
 
 #ifdef CONFIG_PM
-static int ipw_pci_suspend(struct pci_dev *pdev, u32 state)
+static int ipw_pci_suspend(struct pci_dev *pdev, pm_message_t state)
 {
 	struct ipw_priv *priv = pci_get_drvdata(pdev);
 	struct net_device *dev = priv->net_dev;
@@ -7248,7 +7248,7 @@ static int ipw_pci_suspend(struct pci_de
 	pci_save_state(pdev);
 #endif
 	pci_disable_device(pdev);
-	pci_set_power_state(pdev, state);
+	pci_set_power_state(pdev, pci_choose_state(pdev, state));
 	
 	return 0;
 }
_
